<?php
/**
 * NewsFort Dynamic Styles
 *
 * @package NewsFort
 */

function newsfort_dynamic_css()
{

    $newsfort_default = newsfort_get_default_theme_options();

    $newsfort_color_schema = get_theme_mod('newsfort_color_schema', $newsfort_default['newsfort_color_schema']);

    if ($newsfort_color_schema == 'dark') {

        $newsfort_primary_color = $newsfort_default['dark_primary_color'];
        $newsfort_secondary_color = $newsfort_default['dark_secondary_color'];
        $newsfort_tertiary_color = $newsfort_default['dark_tertiary_color'];
        $newsfort_text_color = $newsfort_default['dark_text_color'];

    } else {

        $newsfort_primary_color = $newsfort_default['default_primary_color'];
        $newsfort_secondary_color = $newsfort_default['default_secondary_color'];
        $newsfort_tertiary_color = $newsfort_default['default_tertiary_color'];
        $newsfort_text_color = $newsfort_default['default_text_color'];


    }

    $background_color = '#' . get_theme_mod('background_color', 'ffffff');

    $twp_newsfort_home_sections_7 = get_theme_mod('twp_newsfort_home_sections_7', json_encode($newsfort_default['twp_newsfort_home_sections_7']));
    $twp_newsfort_home_sections_7 = json_decode($twp_newsfort_home_sections_7);


    echo "<style type='text/css' media='all'>"; ?>

    <?php

    $repeat_times = 1;

    foreach ($twp_newsfort_home_sections_7 as $newsfort_home_section) {

        $section_background_color = esc_url(isset($newsfort_home_section->background_color) ? $newsfort_home_section->background_color : '');

        if ($section_background_color) { ?>

            #block-<?php echo $repeat_times; ?> {
            background: <?php echo esc_url($section_background_color); ?>;
            }

            <?php
        }

        $background_image = esc_url(isset($newsfort_home_section->background_image) ? $newsfort_home_section->background_image : '');

        if ($background_image) {

            $bg_image_size = isset($newsfort_home_section->bg_image_size) ? $newsfort_home_section->bg_image_size : 'auto';
            $background_image_repeat = isset($newsfort_home_section->background_image_repeat) ? $newsfort_home_section->background_image_repeat : 'yes';
            $background_image_scroll = isset($newsfort_home_section->background_image_scroll) ? $newsfort_home_section->background_image_scroll : 'yes';

            if ($background_image_repeat == 'yes' || $background_image_repeat == '') {
                $background_image_repeat = 'repeat';
            } else {
                $background_image_repeat = 'no-repeat';
            }

            if ($background_image_scroll == 'yes' || $background_image_scroll == '') {
                $background_image_scroll = 'scroll';
            } else {
                $background_image_scroll = 'fixed';
            } ?>

            #block-<?php echo $repeat_times; ?> {
            background-image: url(<?php echo esc_url($background_image); ?> );
            background-size: <?php echo esc_attr($bg_image_size); ?>;
            background-repeat: <?php echo esc_attr($background_image_repeat); ?>;
            background-attachment: <?php echo esc_attr($background_image_scroll); ?>;
            }

            <?php
        }

        $repeat_times++;
    } ?>

    .content-main-bg,
    .news-article-bg,
    body .widget-title:before,
    body .block-title-wrapper:before,
    body .floating-nav-arrow,
    body .content-main-bg,
    body .post-navigation,
    body .posts-navigation,
    body .be-author-content,
    body .be-author-content .be-author-wrapper,
    body .site-content .booster-reactions-block,
    body .site-content .post-content-share .share-media-nocount,
    .twp-icon-holder .twp-social-count{
    background-color: <?php echo esc_attr($newsfort_primary_color); ?>;
    }

    .post-content-share .share-media-nocount:after,
    .post-content-share .twp-icon-holder .twp-social-count:after {
    border-top-color: <?php echo esc_attr($newsfort_primary_color); ?>;
    }

    .navbar-controller .navbar-control-icon,
    .site-navigation .primary-menu .brand-home,
    .widget .tab-head .twp-nav-tabs > li.active > a,
    .widget .tab-head .twp-nav-tabs > li > a:focus,
    .widget .tab-head .twp-nav-tabs > li > a:hover,
    .widget .tab-head .twp-nav-tabs > li.active > a:focus,
    .widget .tab-head .twp-nav-tabs > li.active > a:hover,
    .entry-meta .cat-links > a:hover,
    .entry-meta .cat-links > a:focus,
    .news-article-bg-3{
    background-color: <?php echo esc_attr($newsfort_secondary_color); ?>;
    }


    .ticker-title,
    .header-layout-3 .header-titles .site-description span,
    .menu-description,
    .navbar-controller .navbar-control-label,
    .trending-news-main-wrap #trending-collapse,
    .author-widget-details .author-social-profiles .svg-icon,
    .entry-meta .cat-links > a,
    .post-thumb-categories:hover .category-title span,
    .post-thumb-categories:focus .category-title span,
    .scroll-up-line,
    .drawer-handle,
    .theme-heading-controls .view-all-link:hover .view-all-label,
    .theme-heading-controls .view-all-link:focus .view-all-label,
    .entry-meta .cat-links > a:nth-child(7n+1),
    .tags-area .tags-content .tags-title-label:nth-child(7n+1){
    background-color: <?php echo esc_attr($newsfort_tertiary_color); ?>;
    }

    .menu-description:after {
    border-top-color: <?php echo esc_attr($newsfort_tertiary_color); ?>;
    }

    .author-widget-details .author-social-profiles .svg-icon{
    outline-color: <?php echo esc_attr($newsfort_tertiary_color); ?>;
    }

    body,
    input,
    select,
    optgroup,
    textarea {
    color: <?php echo esc_attr($newsfort_text_color); ?>;
    }

    .offcanvas-main-navigation li,
    .responsive-content-menu li,
    .offcanvas-main-navigation .sub-menu,
    .offcanvas-main-navigation .submenu-wrapper .submenu-toggle,
    .entry-content:before,
    .content-list-border,
    .widget.widget_recent_entries ul li,
    .widget.widget_categories ul li,
    .widget.widget_pages ul li,
    .widget.widget_archive ul li,
    .widget.widget_meta ul li {
    border-color: <?php echo esc_attr(newsfort_hex2rgb($newsfort_text_color, 0.12)); ?>
    }
    .header-layout-2 .header-navbar,
    body .header-searchbar-inner,
    body .offcanvas-wraper,
    .affix-panel-content,
    .booster-block .be-author-details .be-author-wrapper{
    background-color: <?php echo esc_attr($background_color); ?>;
    }

    .widget-title span::after,
    .block-title-wrapper .block-title::after{
    border-left-color: <?php echo esc_attr($background_color); ?>;
    }

    .site-content .thumb-overlay-darker::before {
    background: -webkit-linear-gradient(transparent, <?php echo esc_attr(newsfort_hex2rgb($background_color, 1.6)); ?>);
    background: -o-linear-gradient(transparent, <?php echo esc_attr(newsfort_hex2rgb($background_color, 1.6)); ?>);
    background: -ms-linear-gradient(transparent, <?php echo esc_attr(newsfort_hex2rgb($background_color, 1.6)); ?>);
    background: -moz-linear-gradient(transparent, <?php echo esc_attr(newsfort_hex2rgb($background_color, 1.6)); ?>);
    background: linear-gradient(transparent, <?php echo esc_attr(newsfort_hex2rgb($background_color, 1.6)); ?>);
    background: linear-gradient(to bottom, <?php echo esc_attr(newsfort_hex2rgb($background_color, 0)); ?>, <?php echo esc_attr($background_color); ?>);
    }

    <?php echo "</style>";
}

add_action('wp_head', 'newsfort_dynamic_css', 100);

/**
 * Sanitizing Hex color function.
 */
function newsfort_sanitize_hex_color($color)
{

    if ('' === $color)
        return '';
    if (preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color))
        return $color;

}