
jQuery(document).ready(function ($) {
    "use strict";

    var ajaxurl = newsfort_ajax.ajax_url;

    // Tab Posts ajax Load
    $('.tab-posts a').click( function(){

        var category = $(this).attr('cat-data');
        var sectionid = $(this).closest('.theme-block-elements-1').attr('id');
        var curentelement = $('#'+sectionid+' .tab-content-'+category);
        $('#'+sectionid+' .tab-posts a').removeClass( 'active-tab' );
        $(this).addClass('active-tab');
        $(this).closest('.theme-block-elements-1').find('.tab-contents').removeClass('content-active');
        $( curentelement ).addClass( 'content-active' );
        var currencBlock = $( curentelement ).closest('.theme-block-elements-1').attr('repeat-time');

        if( !$( curentelement ).hasClass( 'content-loaded' ) ){

            $( curentelement ).addClass( 'content-loading' );

            var data = {
                'action': 'newsfort_tab_posts_callback',
                'category': category,
                'currencBlock': currencBlock,
                '_wpnonce': newsfort_ajax.ajax_nonce,
            };

            $.post(ajaxurl, data, function( response ) {

                $( curentelement ).html( response );

                if( !$( curentelement ).closest('.theme-block-elements-1').find('tab-contents').hasClass('content-loaded') ){

                    $('.'+currencBlock + '-content-active').each(function(){

                        $(this).removeClass(currencBlock + '-content-active');

                    });

                }

                $( curentelement ).removeClass( 'content-loading' );
                $( curentelement ).addClass( 'content-loaded' );
                $( curentelement ).find( '.content-loading-status' ).remove();

                var pageSection = $(".data-bg");
                pageSection.each(function (indx) {

                    if ($(this).attr("data-background")) {

                        $(this).css("background-image", "url(" + $(this).data("background") + ")");

                    }

                });
    
            });

        }

    });

    // Masonry Posts
    $('body').on('click', '.loadmore', function() {
        
        var grid;
        var loading = newsfort_pagination.loading;
        var loadmore = newsfort_pagination.loadmore;
        var nomore = newsfort_pagination.nomore;
        var vidRatio = $(this).closest('.btn-loadmore').attr('video-ratio');
        var vidAutoplay = $(this).closest('.btn-loadmore').attr('video-autoplay');
        var section_category = $(this).closest('.btn-loadmore').attr('section_category');
        var paged_current = $(this).closest('.btn-loadmore').attr('paged_current');
        var new_paged = paged_current;
        new_paged++;
        var class_1 = $(this).closest('.btn-loadmore').attr('class-1');

        $(this).closest('.btn-loadmore').attr('paged_current',new_paged++);
        var current_sec = $(this).closest('.theme-block-masonry').attr('repeat-time');
        $(this).addClass('loading');
        $(this).html('<span class="ajax-loader"></span><span>'+loading+'</span>');
        var data = {
            'action': 'newsfort_masonry_posts',
            'section_category': section_category,
            'paged_current': paged_current,
            'class_1': class_1,
            'vidRatio': vidRatio,
            'vidAutoplay': vidAutoplay,
            '_wpnonce': newsfort_ajax.ajax_nonce,
        };
 
        $.post(ajaxurl, data, function(response) {

            if( response ){

                var content_join = response.data.content.join('');
                var content = $(content_join);

                
                
                $('.ajax-content-before-load').html(content);

                $('.ajax-content-before-load .theme-video-panel').each(function(){

                    var autoplay = $(this).attr('data-autoplay');
                    console.log( autoplay );
                    var vidURL = $(this).find('iframe').attr('src');
                    
                    if( vidURL ){

                        if( vidURL.indexOf('youtube.com') != -1 ){

                            if( autoplay == 'autoplay-enable' ){

                                $(this).find('iframe').attr('src',vidURL+'&enablejsapi=1&autoplay=1&mute=1&rel=0&modestbranding=0&autohide=0&showinfo=0&controls=0&loop=1');

                            }else{

                                $(this).find('iframe').attr('src',vidURL+'&enablejsapi=1&mute=1');

                            }

                        }else if( vidURL.indexOf('vimeo.com') != -1 ){

                            if( autoplay == 'autoplay-enable' ){

                                $(this).find('iframe').attr('src',vidURL+'&title=0&byline=0&portrait=0&transparent=0&autoplay=1&controls=0&loop=1');

                            }else{

                                $(this).find('iframe').attr('src',vidURL+'&title=0&byline=0&portrait=0&transparent=0&autoplay=0&controls=0&loop=1');

                            }
                            
                            
                        }

                    }

                });

                var lodedContent = $('.ajax-content-before-load').html();
                $('.ajax-content-before-load').html('');

                var content1 = $(lodedContent);
                grid = $('.'+current_sec+' .all-item-content');
                content1.hide();
                grid.append(content1);

                var action = [];
                var iframe;
                var src;
                var ratio_class;

                NewsFort_Vimeo();
                NewsFort_Video( 'video-main-wraper-2-'+paged_current, 'twp-iframe-video-youtube-2-'+paged_current );

                onYouTubePlayerAPIReady();
                function onYouTubePlayerAPIReady() {

                    jQuery(document).ready(function ($) {
                        "use strict";

                        NewsFortYoutubeVideo( '.twp-iframe-video-youtube-2-'+paged_current );

                    });
                }

                grid.imagesLoaded( function() {

                    $(content1).show();

                    var winwidth = $(window).width();
                    $(window).resize(function() {
                        winwidth = $(window).width();
                    });

                    if( winwidth > 990 ){
                        grid.masonry('appended', content1).masonry();
                    }else{
                        grid.masonry('appended', content1);
                    }

                    // Single Post content gallery slide
                    $( '.twp-masonary-item-new ul.wp-block-gallery.columns-1, .twp-masonary-item-new .wp-block-gallery.columns-1 .blocks-gallery-grid, .twp-masonary-item-new .gallery-columns-1').each(function () {
                        $(this).slick({
                            slidesToShow: 1,
                            slidesToScroll: 1,
                            fade: true,
                            autoplay: false,
                            autoplaySpeed: 8000,
                            infinite: true,
                            nextArrow: '<button type="button" class="slide-btn slide-btn-bg slide-next-icon">'+newsfort_custom.next_svg+'</button>',
                            prevArrow: '<button type="button" class="slide-btn slide-btn-bg slide-prev-icon">'+newsfort_custom.prev_svg+'</button>',
                            dots: false,
                        });
                    });

                    // Content Gallery popup Start
                    $('.entry-content .gallery, .widget .gallery, .wp-block-gallery, .zoom-gallery').each(function () {
                        $(this).magnificPopup({
                            delegate: 'a',
                            type: 'image',
                            closeOnContentClick: false,
                            closeBtnInside: false,
                            mainClass: 'mfp-with-zoom mfp-img-mobile',
                            image: {
                                verticalFit: true,
                                titleSrc: function (item) {
                                    return item.el.attr('title');
                                }
                            },
                            gallery: {
                                enabled: true
                            },
                            zoom: {
                                enabled: true,
                                duration: 300,
                                opener: function (element) {
                                    return element.find('img');
                                }
                            }
                        });
                    });

                });

                setTimeout(function(){

                    $('.twp-masonary-item-new').each(function(){
                        $(this).removeClass('twp-masonary-item-new');
                    });

                },1000);

            }

            if( !$.trim(response) ){
                $('.loadmore').addClass('no-more-post');
                $('.loadmore').html(nomore);
            }else{
                $('.loadmore').html(loadmore);
            }

            $('.loadmore').removeClass('loading');
            

        });

    });

});