<?php
/**
* Color Settings.
*
* @package NewsFort
*/

$newsfort_default = newsfort_get_default_theme_options();

$wp_customize->add_section( 'color_schema',
    array(
    'title'      => esc_html__( 'Color Schema', 'newsfort' ),
    'priority'   => 60,
    'capability' => 'edit_theme_options',
     'panel'      => 'theme_colors_panel',
    )
);

// Color Schema.
$wp_customize->add_setting(
    'newsfort_color_schema',
    array(
        'default' 			=> $newsfort_default['newsfort_color_schema'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_select'
    )
);
$wp_customize->add_control(
    new NewsFort_Custom_Radio_Color_Schema(
        $wp_customize,
        'newsfort_color_schema',
        array(
            'settings'      => 'newsfort_color_schema',
            'section'       => 'color_schema',
            'label'         => esc_html__( 'Color Schema', 'newsfort' ),
            'choices'       => array(
                'default'  => array(
                	'color' => array(
                            $newsfort_default['default_bg_color'],
                            $newsfort_default['default_primary_color'],
                            $newsfort_default['default_secondary_color'],
                            $newsfort_default['default_tertiary_color'],
                        ),
                	'title' => esc_html__('Default','newsfort'),
                ),
                'dark'  => array(
                	'color' => array(
                            $newsfort_default['dark_bg_color'],
                            $newsfort_default['dark_primary_color'],
                            $newsfort_default['dark_secondary_color'],
                            $newsfort_default['dark_tertiary_color'],
                        ),
                	'title' => esc_html__('Dark','newsfort'),
                ),
            )
        )
    )
);

$wp_customize->add_setting(
    'newsfort_premium_notiece_color_schema',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Premium_Notiece_Control(
        $wp_customize,
        'newsfort_premium_notiece_color_schema',
        array(
            'label'      => esc_html__( 'Color Schemes', 'newsfort' ),
            'settings' => 'newsfort_premium_notiece_color_schema',
            'section'       => 'color_schema',
        )
    )
);


$wp_customize->add_setting(
    'newsfort_premium_notiece_color',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Premium_Notiece_Control(
        $wp_customize,
        'newsfort_premium_notiece_color',
        array(
            'label'      => esc_html__( 'Color Options', 'newsfort' ),
            'settings' => 'newsfort_premium_notiece_color',
            'section'       => 'colors',
        )
    )
);