<?php
/**
 * Default Values.
 *
 * @package NewsFort
 */

if (!function_exists('newsfort_get_default_theme_options')) :

    /**
     * Get default theme options
     *
     * @return array Default theme options.
     * @since 1.0.0
     *
     */
    function newsfort_get_default_theme_options(){

        $newsfort_defaults = array();

        $newsfort_defaults['twp_newsfort_home_sections_7'] = array(

            array(
                'home_section_type' => 'lead-blocks',
                'section_ed' => 'no',
                'section_category' => '',
                'ed_flip_column' => 'no',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
            ),
            array(
                'home_section_type' => 'banner-blocks-3',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'section_category_3' => '',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                'cat_title_1' => esc_html__('Section Title 1','newsfort'),
                'cat_title_2' => esc_html__('Section Title 2','newsfort'),
                'cat_title_3' => esc_html__('Section Title 3','newsfort'),
                
            ),
            array(
                'home_section_type' => 'tiles-blocks',
                'section_ed' => 'yes',
                'section_category' => '',
                'tiles_post_per_page' => 5,
            ),
            array(
                'home_section_type' => 'banner-blocks-1',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'section_category_3' => '',
                'ed_flip_column' => 'no',
                'ed_tab' => 'no',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title_1' => esc_html__('Block Title One','newsfort'),
                'home_section_title_2' => esc_html__('Block Title Tab','newsfort'),
            ),
            array(
                'home_section_type' => 'main-banner',
                'section_ed' => 'no',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                'enable_wide_layout' => 'no',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
            ),
            array(
                'home_section_type' => 'latest-posts-blocks',
                'section_ed' => 'yes',
                'section_video_ratio' => 'default',
                'section_video_autoplay' => 'autoplay-disable',
            ),
            array(
                'home_section_type' => 'banner-blocks-2',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'section_category_3' => '',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                'cat_title_1' => esc_html__('Section Title 1','newsfort'),
                'cat_title_2' => esc_html__('Section Title 2','newsfort'),
                'cat_title_3' => esc_html__('Section Title 3','newsfort'),
            ),
            
            array(
                'home_section_type' => 'banner-blocks-4',
                'section_ed' => 'no',
                'section_category_1' => '',
                'section_category_2' => '',
                'section_category_3' => '',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                
            ),
            array(
                'home_section_type' => 'slider-blocks',
                'section_ed' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'enable_wide_layout' => 'yes',
            ),
            
            array(
                'home_section_type' => 'masonry-blocks',
                'section_ed' => 'no',
                'section_category' => '',
                'ed_wide_layout' => 'no',
                'section_video_ratio' => 'default',
                'section_video_autoplay' => 'autoplay-disable',
            ),
            
            array(
                'home_section_type' => 'post-list-block',
                'section_ed' => 'no',
                'section_category' => '',
                'bg_image_size' => 'auto',
                'background_image_repeat' => 'yes',
                'background_image_scroll' => 'yes',
                'home_section_title' => esc_html__('Block Title','newsfort'),
                
            ),
            array(
                'home_section_type' => 'advertise-blocks',
                'section_ed' => 'no',
                'advertise_image' => '',
                'advertise_link' => '',
            ),
            array(
                'home_section_type' => 'carousel-blocks',
                'section_ed' => 'no',
                'ed_arrows_carousel' => 'yes',
                'ed_dots_carousel' => 'no',
                'ed_autoplay_carousel' => 'yes',
                'home_section_title' => esc_html__('Block Title','newsfort'),
            ),
            array(
                'home_section_type' => 'home-widget-area',
                'section_ed' => 'yes',
                'sidebar_ed' => 'no',
            ),
        );

        // Options.
        $newsfort_defaults['global_sidebar_layout'] = 'right-sidebar';
        $newsfort_defaults['newsfort_archive_layout'] = 'default';
        $newsfort_defaults['newsfort_pagination_layout'] = 'numeric';
        $newsfort_defaults['footer_column_layout'] = 3;
        $newsfort_defaults['footer_copyright_text'] = esc_html__('All rights reserved.', 'newsfort');
        $newsfort_defaults['ed_header_search'] = 1;
        $newsfort_defaults['ed_ticker_slider_autoplay'] = 0;
        $newsfort_defaults['ed_header_trending_news'] = 0;
        $newsfort_defaults['ed_header_trending_posts_title'] = esc_html__('Trending News', 'newsfort');
        $newsfort_defaults['ed_header_ad'] = 0;
        $newsfort_defaults['ed_header_ticker_posts'] = 0;
        $newsfort_defaults['ed_header_ticker_posts_title'] = esc_html__('Breaking News', 'newsfort');
        $newsfort_defaults['ed_image_content_inverse'] = 0;
        $newsfort_defaults['ed_header_responsive_menu'] = 1;
        $newsfort_defaults['ed_related_post'] = 1;
        $newsfort_defaults['related_post_title'] = esc_html__('More Stories', 'newsfort');
        $newsfort_defaults['twp_navigation_type'] = 'norma-navigation';
        $newsfort_defaults['newsfort_single_post_layout'] = 'layout-1';
        $newsfort_defaults['ed_post_date'] = 1;
        $newsfort_defaults['ed_post_category'] = 1;
        $newsfort_defaults['ed_header_tags'] = 0;
        $newsfort_defaults['ed_post_tags'] = 1;
        $newsfort_defaults['ed_header_tags_title'] = esc_html__('Trending Tags', 'newsfort');
        $newsfort_defaults['ed_header_tags_count'] = 10;
        $newsfort_defaults['ed_header_overlay'] = 0;
        $newsfort_defaults['ed_floating_next_previous_nav'] = 1;
        $newsfort_defaults['newsfort_header_layout'] = 'layout-2';        
        $newsfort_defaults['newsfort_header_bg_size'] = 1;
        $newsfort_defaults['ed_preloader'] = 1;
        $newsfort_defaults['ed_header_bg_fixed'] = 0;
        $newsfort_defaults['ed_header_bg_overlay'] = 1;
        $newsfort_defaults['post_date_format'] = 'default';
        $newsfort_defaults['ed_fullwidth_layout'] = 'default';
        $newsfort_defaults['ed_affix_post'] = 0;
        $newsfort_defaults['ed_post_views'] = 0;
        $newsfort_defaults['ed_affix_post_arrow'] = 1;
        $newsfort_defaults['ed_affix_post_autoplay'] = 1;
        $newsfort_defaults['ed_scroll_top_button'] = 1;

        $newsfort_defaults['newsfort_primary_color'] = '#fff';
        $newsfort_defaults['newsfort_secondary_color'] = '#CC0010';
        $newsfort_defaults['newsfort_color_schema'] = 'default';
        
        $newsfort_defaults['default_bg_color'] = '#fff';
        $newsfort_defaults['default_primary_color'] = '#f1f1f1';
        $newsfort_defaults['default_secondary_color'] = '#1ea2f1';
        $newsfort_defaults['default_tertiary_color'] = '#CC0010';
        $newsfort_defaults['default_text_color'] = '#1A1B1F';

        $newsfort_defaults['dark_bg_color'] = '#181818';
        $newsfort_defaults['dark_primary_color'] = '#111111';
        $newsfort_defaults['dark_secondary_color'] = '#1ea2f1';
        $newsfort_defaults['dark_tertiary_color'] = '#CC0010';
        $newsfort_defaults['dark_text_color'] = '#FFFFFF';

        $newsfort_defaults['ed_header_search_recent_posts']             = 1;
        $newsfort_defaults['ed_header_search_top_category']             = 1;
        $newsfort_defaults['recent_post_title_search']                 = esc_html__('Recent Post','newsfort');
        $newsfort_defaults['top_category_title_search']                 = esc_html__('Top Category','newsfort');

        $newsfort_defaults['ed_top_header']             = 0;
        $newsfort_defaults['ed_top_header_date']             = 0;
        $newsfort_defaults['ed_ticker_slider_wide_layout']             = 0;
        $newsfort_defaults['ed_tags_wide_layout']             = 0;

        $newsfort_defaults['ed_autoplay']             = 'autoplay-disable';
        $newsfort_defaults['post_video_aspect_ration']             = 'default';

        // Pass through filter.
        $newsfort_defaults = apply_filters('newsfort_filter_default_theme_options', $newsfort_defaults);

        return $newsfort_defaults;

    }

endif;
