<?php
/**
* Footer Settings.
*
* @package NewsFort
*/

$newsfort_default = newsfort_get_default_theme_options();
$newsfort_post_category_list = newsfort_post_category_list();

$wp_customize->add_section( 'footer_settings',
	array(
	'title'      => esc_html__( 'Footer Settings', 'newsfort' ),
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	'priority'  => 95,
	)
);


$wp_customize->add_setting( 'footer_column_layout',
	array(
	'default'           => $newsfort_default['footer_column_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control( 'footer_column_layout',
	array(
	'label'       => esc_html__( 'Top Footer Column Layout', 'newsfort' ),
	'section'     => 'footer_settings',
	'type'        => 'select',
	'choices'               => array(
		'1' => esc_html__( 'One Column', 'newsfort' ),
		'2' => esc_html__( 'Two Column', 'newsfort' ),
		'3' => esc_html__( 'Three Column', 'newsfort' ),
	    ),
	)
);

$wp_customize->add_setting( 'footer_copyright_text',
	array(
	'default'           => $newsfort_default['footer_copyright_text'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'footer_copyright_text',
	array(
	'label'    => esc_html__( 'Footer Copyright Text', 'newsfort' ),
	'section'  => 'footer_settings',
	'type'     => 'text',
	)
);

$wp_customize->add_setting('ed_affix_post',
    array(
        'default' => $newsfort_default['ed_affix_post'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);

$wp_customize->add_control('ed_affix_post',
    array(
        'label' => esc_html__('Enable Footer Affix Posts', 'newsfort'),
        'section' => 'footer_settings',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting( 'footer_affix_posts',
	array(
	'default'           => '',
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'newsfort_sanitize_select',
	)
);
$wp_customize->add_control( 'footer_affix_posts',
	array(
		'label'       => esc_html__( 'Affix Posts Category', 'newsfort' ),
		'section'     => 'footer_settings',
		'type'        => 'select',
		'choices'     => $newsfort_post_category_list
	)
);

$wp_customize->add_setting('ed_affix_post_arrow',
    array(
        'default' => $newsfort_default['ed_affix_post_arrow'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);

$wp_customize->add_control('ed_affix_post_arrow',
    array(
        'label' => esc_html__('Enable Affix Posts Arrow', 'newsfort'),
        'section' => 'footer_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_affix_post_autoplay',
    array(
        'default' => $newsfort_default['ed_affix_post_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);

$wp_customize->add_control('ed_affix_post_autoplay',
    array(
        'label' => esc_html__('Enable Affix Posts Autoplay', 'newsfort'),
        'section' => 'footer_settings',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('ed_scroll_top_button',
    array(
        'default' => $newsfort_default['ed_scroll_top_button'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);

$wp_customize->add_control('ed_scroll_top_button',
    array(
        'label' => esc_html__('Enable Scroll to Top Button', 'newsfort'),
        'section' => 'footer_settings',
        'type' => 'checkbox',
    )
);