<?php
/**
* Header Options.
*
* @package NewsFort
*/

$newsfort_default = newsfort_get_default_theme_options();
$newsfort_page_lists = newsfort_page_lists();
$newsfort_post_category_list = newsfort_post_category_list();

// Header Advertise Area Section.
$wp_customize->add_section( 'main_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'newsfort' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_option_panel',
	)
);

// Enable Disable Search.
$wp_customize->add_setting('ed_header_search',
    array(
        'default' => $newsfort_default['ed_header_search'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_search',
    array(
        'label' => esc_html__('Enable Search', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Enable Disable Search.
$wp_customize->add_setting('ed_header_responsive_menu',
    array(
        'default' => $newsfort_default['ed_header_responsive_menu'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_responsive_menu',
    array(
        'label' => esc_html__('Display Off-canvas Menu on Desktop View', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

// Archive Layout.
$wp_customize->add_setting(
    'newsfort_ticker_sep',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Separator(
        $wp_customize,
        'newsfort_ticker_sep',
        array(
            'settings'      => 'newsfort_ticker_sep',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Ticker Settings', 'newsfort' ),
        )
    )
);

$wp_customize->add_setting('ed_header_ticker_posts',
    array(
        'default' => $newsfort_default['ed_header_ticker_posts'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_ticker_posts',
    array(
        'label' => esc_html__('Enable Ticker Posts', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'ed_header_ticker_posts_title',
    array(
    'default'           => $newsfort_default['ed_header_ticker_posts_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ed_header_ticker_posts_title',
    array(
    'label'       => esc_html__( 'Ticker Section Title', 'newsfort' ),
    'section'     => 'main_header_setting',
    'type'        => 'text',
    )
);


$wp_customize->add_setting( 'newsfort_header_ticker_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'newsfort_sanitize_select',
    )
);
$wp_customize->add_control( 'newsfort_header_ticker_cat',
    array(
    'label'       => esc_html__( 'Ticker Posts Category', 'newsfort' ),
    'section'     => 'main_header_setting',
    'type'        => 'select',
    'choices'     => $newsfort_post_category_list,
    )
);

$wp_customize->add_setting('ed_ticker_slider_autoplay',
    array(
        'default' => $newsfort_default['ed_ticker_slider_autoplay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_slider_autoplay',
    array(
        'label' => esc_html__('Enable Ticker Posts Autoplay', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_ticker_slider_wide_layout',
    array(
        'default' => $newsfort_default['ed_ticker_slider_wide_layout'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_ticker_slider_wide_layout',
    array(
        'label' => esc_html__('Enable Ticker Wide Layout', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newsfort_tags_sep',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Separator(
        $wp_customize,
        'newsfort_tags_sep',
        array(
            'settings'      => 'newsfort_tags_sep',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Trending Tags Settings', 'newsfort' ),
        )
    )
);

$wp_customize->add_setting('ed_header_tags',
    array(
        'default' => $newsfort_default['ed_header_tags'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_tags',
    array(
        'label' => esc_html__('Enable Tags', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_tags_wide_layout',
    array(
        'default' => $newsfort_default['ed_tags_wide_layout'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_tags_wide_layout',
    array(
        'label' => esc_html__('Enable Tags Wide Layout', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_header_tags_title',
    array(
        'default' => $newsfort_default['ed_header_tags_title'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control('ed_header_tags_title',
    array(
        'label' => esc_html__('Tags Title', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'text',
    )
);

$wp_customize->add_setting('ed_header_tags_count',
    array(
        'default' => $newsfort_default['ed_header_tags_count'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control('ed_header_tags_count',
    array(
        'label' => esc_html__('Tags To Show', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'number',
    )
);

$wp_customize->add_setting(
    'newsfort_trending_news',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Separator(
        $wp_customize,
        'newsfort_trending_news',
        array(
            'settings'      => 'newsfort_trending_news',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Trending News Settings', 'newsfort' ),
        )
    )
);

$wp_customize->add_setting('ed_header_trending_news',
    array(
        'default' => $newsfort_default['ed_header_trending_news'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_trending_news',
    array(
        'label' => esc_html__('Enable Trending News', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting( 'ed_header_trending_posts_title',
    array(
    'default'           => $newsfort_default['ed_header_trending_posts_title'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'ed_header_trending_posts_title',
    array(
    'label'       => esc_html__( 'Trending News Title', 'newsfort' ),
    'section'     => 'main_header_setting',
    'type'        => 'text',
    )
);


$wp_customize->add_setting( 'newsfort_header_trending_cat',
    array(
    'default'           => '',
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'newsfort_sanitize_select',
    )
);
$wp_customize->add_control( 'newsfort_header_trending_cat',
    array(
    'label'       => esc_html__( 'Trending News Posts Category', 'newsfort' ),
    'section'     => 'main_header_setting',
    'type'        => 'select',
    'choices'     => $newsfort_post_category_list,
    )
);

$wp_customize->add_setting(
    'newsfort_header_setting_sep',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Separator(
        $wp_customize,
        'newsfort_header_setting_sep',
        array(
            'settings'      => 'newsfort_header_setting_sep',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Header Settings', 'newsfort' ),
        )
    )
);

// Archive Layout.
$wp_customize->add_setting(
    'newsfort_header_layout',
    array(
        'default'           => $newsfort_default['newsfort_header_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_header_layout'
    )
);
$wp_customize->add_control(
    new NewsFort_Custom_Radio_Image_Control(
        $wp_customize,
        'newsfort_header_layout',
        array(
            'settings'      => 'newsfort_header_layout',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Header Layout', 'newsfort' ),
            'choices'       => array(
                'layout-1'  => get_template_directory_uri() . '/assets/images/header-layout-1.png',
                'layout-2'  => get_template_directory_uri() . '/assets/images/header-layout-2.png',
                'layout-3'  => get_template_directory_uri() . '/assets/images/header-layout-3.png',
            )
        )
    )
);

$wp_customize->add_setting('ed_header_ad',
    array(
        'default' => $newsfort_default['ed_header_ad'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_ad',
    array(
        'label' => esc_html__('Enable Top Advertisement Area', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('header_ad_image',
    array(
        'default' => '',
        'sanitize_callback' => 'esc_url_raw'
    )
);
$wp_customize->add_control( new WP_Customize_Image_Control(
    $wp_customize,
    'header_ad_image',
        array(
            'label'      => esc_html__( 'Top Header AD Image', 'newsfort' ),
            'section'    => 'main_header_setting',
            'active_callback' => 'newsfort_header_ad_ac',
        )
    )
);

$wp_customize->add_setting('ed_header_link',
    array(
        'default' => '',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control('ed_header_link',
    array(
        'label' => esc_html__('AD Image Link', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'text',
        'active_callback' => 'newsfort_header_ad_ac',
    )
);

// Archive Layout.
$wp_customize->add_setting(
    'newsfort_header_bg_size',
    array(
        'default'           => $newsfort_default['newsfort_header_bg_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'absint'
    )
);
$wp_customize->add_control('newsfort_header_bg_size',
        array(
            'type'       => 'select',
            'section'       => 'header_image',
            'label'         => esc_html__( 'Header BG Size', 'newsfort' ),
            'choices'       => array(
                '1'  => esc_html__( 'Small', 'newsfort' ),
                '2'  => esc_html__( 'Medium', 'newsfort' ),
                '3'  => esc_html__( 'Large', 'newsfort' ),
            )
        )
);

$wp_customize->add_setting('ed_header_bg_fixed',
    array(
        'default' => $newsfort_default['ed_header_bg_fixed'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_bg_fixed',
    array(
        'label' => esc_html__('Enable Fixed BG', 'newsfort'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('ed_header_bg_overlay',
    array(
        'default' => $newsfort_default['ed_header_bg_overlay'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_bg_overlay',
    array(
        'label' => esc_html__('Enable BG Overlay', 'newsfort'),
        'section' => 'header_image',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'newsfort_tags_search',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Separator(
        $wp_customize,
        'newsfort_tags_search',
        array(
            'settings'      => 'newsfort_tags_search',
            'section'       => 'main_header_setting',
            'label'         => esc_html__( 'Popup Search Settings', 'newsfort' ),
        )
    )
);

$wp_customize->add_setting('ed_header_search_recent_posts',
    array(
        'default' => $newsfort_default['ed_header_search_recent_posts'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_search_recent_posts',
    array(
        'label' => esc_html__('Enable Recent Posts on Search Area', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting( 'recent_post_title_search',
    array(
    'default'           => $newsfort_default['recent_post_title_search'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'recent_post_title_search',
    array(
    'label'    => esc_html__( 'Related Posts Section Title', 'newsfort' ),
    'section'  => 'main_header_setting',
    'type'     => 'text',
    )
);
$wp_customize->add_setting('ed_header_search_top_category',
    array(
        'default' => $newsfort_default['ed_header_search_top_category'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'newsfort_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_header_search_top_category',
    array(
        'label' => esc_html__('Enable Top Category on Search Area', 'newsfort'),
        'section' => 'main_header_setting',
        'type' => 'checkbox',
    )
);
$wp_customize->add_setting( 'top_category_title_search',
    array(
    'default'           => $newsfort_default['top_category_title_search'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'top_category_title_search',
    array(
    'label'    => esc_html__( 'Top Category Section Title', 'newsfort' ),
    'section'  => 'main_header_setting',
    'type'     => 'text',
    )
);