<?php
/**
* Sections Repeater Options.
*
* @package NewsFort
*/

$newsfort_post_category_list = newsfort_post_category_list();
$newsfort_defaults = newsfort_get_default_theme_options();
$home_sections = array(
        
        'main-banner' => esc_html__('Main Banner','newsfort'),
        'lead-blocks' => esc_html__('Lead Block','newsfort'),
        'banner-blocks-1' => esc_html__('Main Intro Block','newsfort'),
        'latest-posts-blocks' => esc_html__('Latest Posts Block','newsfort'),
        'banner-blocks-2' => esc_html__('Banner Block Layout Two','newsfort'),
        'banner-blocks-3' => esc_html__('Banner Block Layout Three','newsfort'),
        'banner-blocks-4' => esc_html__('Banner Block Layout Four','newsfort'),
        'slider-blocks' => esc_html__('Slider Block','newsfort'),
        'tiles-blocks' => esc_html__('Tiles Block','newsfort'),
        'masonry-blocks' => esc_html__('Masonry Block','newsfort'),
        'post-list-block' => esc_html__('Post List Block','newsfort'),
        'advertise-blocks' => esc_html__('Advertise Block','newsfort'),
        'carousel-blocks' => esc_html__('Carousel Block','newsfort'),
        'home-widget-area' => esc_html__('Widgets Area Block','newsfort'),

    );

$newsfort_video_aspect_ratio = newsfort_video_aspect_ratio();
$newsfort_video_autoplay = newsfort_video_autoplay();

// Slider Section.
$wp_customize->add_section( 'home_sections_repeater',
	array(
	'title'      => esc_html__( 'Homepage Content Section', 'newsfort' ),
	'priority'   => 150,
	'capability' => 'edit_theme_options',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'twp_newsfort_home_sections_7', array(
    'sanitize_callback' => 'newsfort_sanitize_repeater',
    'default' => json_encode( $newsfort_defaults['twp_newsfort_home_sections_7'] ),
    // 'transport'           => 'postMessage',
));

$wp_customize->add_control(  new NewsFort_Repeater_Controler( $wp_customize, 'twp_newsfort_home_sections_7', 
    array(
        'section' => 'home_sections_repeater',
        'settings' => 'twp_newsfort_home_sections_7',
        'newsfort_box_label' => esc_html__('New Section','newsfort'),
        'newsfort_box_add_control' => esc_html__('Add New Section','newsfort'),
        'newsfort_box_add_button' => false,
    ),
        array(
            'section_ed' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Section', 'newsfort' ),
                'class'       => 'home-section-ed'
            ),
            'home_section_type' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Section Type', 'newsfort' ),
                'options'     => $home_sections,
                'class'       => 'home-section-type'
            ),
            'home_section_title' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs post-list-block-fields carousel-blocks-fields tiles-blocks-fields lead-blocks-fields masonry-blocks-fields'
            ),
            'section_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'section_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields carousel-blocks-fields slider-blocks-fields lead-blocks-fields masonry-blocks-fields post-list-block-fields'
            ),
            'ed_wide_layout' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Wide Layout', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs masonry-blocks-fields'
            ),
             'tiles_post_per_page' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Posts Per Page', 'newsfort' ),
                'options'     => array( 
                    '5' => 5,
                    '10' => 10,
                ),
                'class'       => 'home-repeater-fields-hs tiles-blocks-fields'
            ),
             'home_section_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Slider Area Title', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'section_post_slide_cat' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Slider Post Category', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            
            'advertise_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Advertise Image', 'newsfort' ),
                'description' => esc_html__( 'Recommended Image Size is 970x250 PX.', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'advertise_link' => array(
                'type'        => 'link',
                'label'       => esc_html__( 'Advertise Image Link', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs advertise-blocks-fields'
            ),
            'enable_wide_layout' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Wide Layout', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs main-banner-fields tiles-blocks-fields lead-blocks-fields banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields slider-blocks-fields post-list-block-fields carousel-blocks-fields'
            ),
            'ed_arrows_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Arrows', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs carousel-blocks-fields banner-blocks-1-fields main-banner-fields'
            ),
            'ed_dots_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Dot', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs carousel-blocks-fields banner-blocks-1-fields main-banner-fields'
            ),
            'ed_autoplay_carousel' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Autoplay', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs carousel-blocks-fields slider-blocks-fields banner-blocks-1-fields main-banner-fields'
            ),
            'home_section_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Tab Area Title', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields'
            ),
            'ed_tab' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Tab', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs ed-tabs-ac banner-blocks-1-fields'
            ),
            'cat_title_1' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title One', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-2-fields  banner-blocks-3-fields banner-blocks-4-fields'
            ),
            'section_category_1' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category One', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields'
            ),
            'cat_title_2' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Two', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-2-fields  banner-blocks-3-fields banner-blocks-4-fields'
            ),
            'section_category_2' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Two', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields'
            ),
            'cat_title_3' => array(
                'type'        => 'text',
                'label'       => esc_html__( 'Section Title Three', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-2-fields  banner-blocks-3-fields banner-blocks-4-fields'
            ),
            'section_category_3' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Three', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields'
            ),
            'section_category_4' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Post Category Four', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs banner-block-1-tab-ac banner-blocks-1-fields'
            ),
            'section_mid_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Mid Section Post Category', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'section_vertical_slide_category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Vertical Slider Post Category', 'newsfort' ),
                'options'     => $newsfort_post_category_list,
                'class'       => 'home-repeater-fields-hs main-banner-fields'
            ),
            'section_video_ratio' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Aspect Ratio', 'newsfort' ),
                'options'     => $newsfort_video_aspect_ratio,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields masonry-blocks-fields'
            ),
            'section_video_autoplay' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Video Autoplay', 'newsfort' ),
                'options'     => $newsfort_video_autoplay,
                'class'       => 'home-repeater-fields-hs latest-posts-blocks-fields masonry-blocks-fields'
            ),
            'ed_flip_column' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Flip Column Right to Left', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields lead-blocks-fields'
            ),
            'background_color' => array(
                'type'        => 'colorpicker',
                'label'       => esc_html__( 'Background Color', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields lead-blocks-fields post-list-block-fields main-banner-fields'
            ),
            'background_image' => array(
                'type'        => 'upload',
                'label'       => esc_html__( 'Background Image', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields lead-blocks-fields post-list-block-fields main-banner-fields'
            ),
            'bg_image_size' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Background Image Size', 'newsfort' ),
                'options'     => array( 
                    'auto' => esc_html('Original','newsfort'),
                    'contain' => esc_html('Fit to Screen','newsfort'),
                    'cover' => esc_html('Fill Screen','newsfort'),
                ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields lead-blocks-fields post-list-block-fields main-banner-fields'
            ),
            'background_image_repeat' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Repeat Background Image', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields lead-blocks-fields post-list-block-fields main-banner-fields'
            ),
            'background_image_scroll' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Scroll with Page', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs banner-blocks-1-fields banner-blocks-2-fields banner-blocks-3-fields banner-blocks-4-fields lead-blocks-fields post-list-block-fields main-banner-fields'
            ),
            'enable_sidebar' => array(
                'type'        => 'checkbox',
                'label'       => esc_html__( 'Enable Sidebar', 'newsfort' ),
                'description'       => esc_html__( 'Please add widget into "Homepage Sidebar Widget Area" for sidebar content.', 'newsfort' ),
                'class'       => 'home-repeater-fields-hs home-widget-area-fields'
            ),
    )
));

// Info.
$wp_customize->add_setting(
    'newsfort_notiece_info',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Info_Notiece_Control( 
        $wp_customize,
        'newsfort_notiece_info',
        array(
            'settings' => 'newsfort_notiece_info',
            'section'       => 'home_sections_repeater',
            'label'         => esc_html__( 'Info', 'newsfort' ),
        )
    )
);

$wp_customize->add_setting(
    'newsfort_premium_notiece',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);
$wp_customize->add_control(
    new NewsFort_Premium_Notiece_Control( 
        $wp_customize,
        'newsfort_premium_notiece',
        array(
            'label'      => esc_html__( 'Home Page Blocks', 'newsfort' ),
            'settings' => 'newsfort_premium_notiece',
            'section'       => 'home_sections_repeater',
        )
    )
);