<?php
/**
 *
 * Front Page
 *
 * @package NewsFort
 */

get_header();


    $newsfort_default = newsfort_get_default_theme_options();
    $twp_newsfort_home_sections_7 = get_theme_mod( 'twp_newsfort_home_sections_7', json_encode( $newsfort_default['twp_newsfort_home_sections_7'] ) );
    $paged_active = false;

    if ( !is_paged() ) {
        $paged_active = true;
    }

    $twp_newsfort_home_sections_7 = json_decode( $twp_newsfort_home_sections_7 );
    $repeat_times = 1;

    foreach ( $twp_newsfort_home_sections_7 as $newsfort_home_section ) {

        $home_section_type = isset( $newsfort_home_section->home_section_type ) ? $newsfort_home_section->home_section_type : '';

        switch ($home_section_type) {

            case 'main-banner':

                $ed_slider_blocks = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                    newsfort_main_banner( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'slider-blocks':

                $ed_slider_blocks = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_slider_blocks == 'yes' && $paged_active ) {
                    newsfort_slider_blocks( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'latest-posts-blocks':

                $ed_latest_posts_blocks = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_latest_posts_blocks == 'yes' ) {
                    newsfort_latest_blocks( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'carousel-blocks':

                $ed_carousel_blocks = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_carousel_blocks == 'yes' && $paged_active ) {
                    newsfort_carousel_posts( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'tiles-blocks':

                $ed_tiles_block = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_tiles_block == 'yes' && $paged_active ) {
                    newsfort_tiles_block_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'lead-blocks':

                $ed_lead_block = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_lead_block == 'yes' && $paged_active ) {
                    newsfort_lead_block_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'masonry-blocks':

                $ed_masnoty_block = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_masnoty_block == 'yes' && $paged_active ) {
                    newsfort_masonry_block_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'banner-blocks-1':

                $ed_banner_blocks_1 = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_banner_blocks_1 == 'yes' && $paged_active ) {
                    newsfort_banner_block_1_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'banner-blocks-2':

                $ed_banner_blocks_2 = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_banner_blocks_2 == 'yes' && $paged_active ) {
                    newsfort_banner_block_2_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'banner-blocks-3':

                $ed_banner_blocks_3 = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_banner_blocks_3 == 'yes' && $paged_active ) {
                    newsfort_banner_block_3_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'banner-blocks-4':

                $ed_banner_blocks_4 = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_banner_blocks_4 == 'yes' && $paged_active ) {
                    newsfort_banner_block_4_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'post-list-block':

                $ed_post_list_block = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_post_list_block == 'yes' && $paged_active ) {
                    newsfort_post_list_block_section( $newsfort_home_section, $repeat_times );
                }

            break;

            case 'advertise-blocks':

                $ed_advertise_blocks = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_advertise_blocks == 'yes' && $paged_active ) {
                    newsfort_advertise_block( $newsfort_home_section, $repeat_times );
                }
                
            break;

            case 'home-widget-area':

                $ed_home_widget_area = isset( $newsfort_home_section->section_ed ) ? $newsfort_home_section->section_ed : '';
                if ( $ed_home_widget_area == 'yes' && $paged_active ) {
                    newsfort_case_home_widget_area_block( $newsfort_home_section, $repeat_times );
                }
                
            break;

            default:

            break;

        }

        $repeat_times++;
    }

get_footer();
