<?php
/**
 * Banner Blocks Three
 *
 * @package NewsFort
 */
if (!function_exists('newsfort_banner_block_3_section')):
    function newsfort_banner_block_3_section($newsfort_home_section, $repeat_times){

        $section_category_1 = esc_html( isset($newsfort_home_section->section_category_1) ? $newsfort_home_section->section_category_1 : '');
        $section_category_2 = esc_html( isset($newsfort_home_section->section_category_2) ? $newsfort_home_section->section_category_2 : '');
        $section_category_3 = esc_html( isset($newsfort_home_section->section_category_3) ? $newsfort_home_section->section_category_3 : '');
        $enable_wide_layout = esc_html(isset($newsfort_home_section->enable_wide_layout) ? $newsfort_home_section->enable_wide_layout : '');

        $class = 'wrapper';

        if ($enable_wide_layout == 'yes') {
            $class = 'wrapper-fluid';
        }
        
        $cat_title_1 = esc_html( isset($newsfort_home_section->cat_title_1) ? $newsfort_home_section->cat_title_1 : '');
        if( empty( $cat_title_1 ) && $section_category_1 ){

            $catObj = get_category_by_slug( $section_category_1 );
            if( isset($catObj->name) && $catObj->name ){
                $cat_title_1 = $catObj->name;
            }

        }

        $cat_title_2 = esc_html( isset($newsfort_home_section->cat_title_2) ? $newsfort_home_section->cat_title_2 : '');

        if( empty( $cat_title_2 ) && $section_category_2 ){

            $catObj = get_category_by_slug( $section_category_2 );
            if( isset($catObj->name) && $catObj->name ){
                $cat_title_2 = $catObj->name;
            }

        }

        $cat_title_3 = esc_html( isset($newsfort_home_section->cat_title_3) ? $newsfort_home_section->cat_title_3 : '');

        if( empty( $cat_title_3 ) && $section_category_3 ){

            $catObj = get_category_by_slug( $section_category_3 );
            if( isset($catObj->name) && $catObj->name ){
                $cat_title_3 = $catObj->name;
            }

        }

        $ribbon_bg_color_schema = esc_html(isset($newsfort_home_section->ribbon_bg_color_schema) ? $newsfort_home_section->ribbon_bg_color_schema : '3');
        $banner_query_1 = new WP_Query( array('post_type' => 'post', 'posts_per_page' => 9,'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $section_category_1 ) ) );
        $banner_query_2 = new WP_Query( array('post_type' => 'post', 'posts_per_page' => 3,'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $section_category_2 ) ) );
        $banner_query_3 = new WP_Query( array('post_type' => 'post', 'posts_per_page' => 9,'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html( $section_category_3 ) ) );

        $mid_post_1 = array();
        $mid_post_2 = array();

        if( $banner_query_2->have_posts() ):
            
            $count = 1;
            while( $banner_query_2->have_posts() ):
                $banner_query_2->the_post();

                if( $count == 1 ){
                    $mid_post_1[] = get_the_ID();
                }else{
                    $mid_post_2[] = get_the_ID();
                }

                $count++;
            endwhile;

            wp_reset_postdata();

        endif;

        ?>
        <div id="block-<?php echo esc_attr( $repeat_times ); ?>" class="theme-block theme-block-elements theme-block-elements-3">
            <div class="<?php echo $class; ?>">
                <div class="column-row">

                    <?php
                    if( $banner_query_2->have_posts() ): ?>


                        <div class="column column-3 column-sm-6 column-xxs-12 column-order-1">

                            <?php if( $cat_title_1 ){ ?>

                                <div class="column-row">
                                    <div class="column column-12">
                                        
                                        <header class="block-title-wrapper">
                                            <h2 class="block-title">
                                                <?php echo esc_html( $cat_title_1 ); ?>
                                            </h2>
                                        </header>

                                    </div>
                                </div>

                            <?php } ?>

                            <div class="content-main">

                                <?php while( $banner_query_1->have_posts() ):
                                    $banner_query_1->the_post(); ?>

                                    <div class="content-list content-list-border">
                                        <article id="theme-post-<?php the_ID(); ?>" <?php post_class( 'news-article' ); ?>>
                                            
                                            <div class="entry-meta">
                                                <?php newsfort_entry_footer( $cats = true, $tags = false, $edits = false, $text = false, $icon = false ); ?>
                                            </div>

                                            <h3 class="entry-title entry-title-xsmall">
                                                <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                            </h3>

                                            <div class="entry-meta">
                                                <?php newsfort_posted_on(); ?>
                                                <?php newsfort_post_view_count(); ?>
                                            </div>

                                        </article>
                                    </div>

                                <?php endwhile;
                                wp_reset_postdata(); ?>

                            </div>
                        </div>
                    <?php endif;
                    
                    if( $banner_query_1->have_posts() ): ?>
                        <div class="column column-6 column-sm-12 column-order-2">

                            <?php if( $cat_title_2 || $section_category_2 ){ ?>


                                    <header class="block-title-wrapper">

                                        <?php if( $cat_title_2 ){ ?>

                                            <h2 class="block-title">
                                                <?php echo esc_html( $cat_title_2 ); ?>
                                            </h2>
                                        
                                        <?php } ?>

                                        <?php if( $section_category_2 ){

                                            $catObj = get_category_by_slug( $section_category_2 );
                                            if( isset($catObj->name) && $catObj->name ){
                                                $cat_title = $catObj->name;
                                            }
                                            $cat_link = get_category_link( $catObj->term_id ); ?>

                                            <div class="theme-heading-controls">
                                                <a href="<?php echo esc_url($cat_link); ?>" class="view-all-link">
                                                    <span class="view-all-icon"><?php newsfort_the_theme_svg('plus'); ?></span>
                                                    <span class="view-all-label"><?php echo esc_html_e('View All', 'newsfort'); ?></span>
                                                </a>
                                            </div>

                                        <?php } ?>

                                    </header>

                            <?php }

                            if( $mid_post_1 ){
                                $mid_post_query_1 = new WP_Query( array('post_type' => 'post', 'posts_per_page' => 1,'post__not_in' => get_option("sticky_posts"), 'post__in' =>  $mid_post_1 ) );

                                while( $mid_post_query_1->have_posts() ){
                                    $mid_post_query_1->the_post();
                                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                    $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>

                                    <article id="theme-post-<?php the_ID(); ?>" <?php post_class( 'news-article news-article-bg news-article-lead' ); ?>>
                                        <div class="column-row">

                                            <?php if( $featured_image ){ ?>
                                                <div class="column column-12">
                                                    <div class="img-hover-scale">

                                                        <?php
                                                        $format = get_post_format( get_the_ID() ) ? : 'standard';
                                                        $icon = newsfort_post_format_icon( $format );
                                                        if( !empty( $icon ) ){ ?>
                                                            <span class="top-right-icon"><?php echo newsfort_svg_escape( $icon ); ?></span>
                                                        <?php } ?>

                                                        <a href="<?php the_permalink(); ?>" tabindex="0">
                                                            <img title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" src="<?php echo esc_url( $featured_image ); ?>">
                                                        </a>

                                                    </div>
                                                </div>
                                            <?php } ?>

                                            <div class="column column-12">
                                                <div class="article-content">

                                                    <div class="entry-meta">
                                                        <?php newsfort_entry_footer( $cats = true, $tags = false, $edits = false, $text = false, $icon = false ); ?>
                                                    </div>

                                                    <h3 class="entry-title entry-title-medium">
                                                        <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                    </h3>

                                                    <div class="entry-meta">
                                                        <?php newsfort_posted_on(); ?>
                                                        <?php newsfort_post_view_count(); ?>
                                                    </div>

                                                    <div class="entry-content entry-content-muted entry-content-small">
                                                        <?php
                                                        if( has_excerpt() ){
                                                            the_excerpt();
                                                        }else{
                                                            echo '<p>';
                                                            echo esc_html( wp_trim_words( get_the_content(),40,'...' ) );
                                                            echo '</p>';
                                                        } ?>
                                                    </div>

                                                </div>
                                            </div>

                                        </div>
                                    </article>

                                <?php
                                }

                                wp_reset_postdata();
                            }

                            if( $mid_post_2 ){
                                $mid_post_query_2 = new WP_Query( array('post_type' => 'post', 'posts_per_page' => 3,'post__not_in' => get_option("sticky_posts"), 'post__in' =>  $mid_post_2 ) ); ?>

                                <div class="content-main-below">
                                    <div class="content-main">

                                        <?php while ($mid_post_query_2->have_posts()) {
                                            $mid_post_query_2->the_post();
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'newsfort-400-280');
                                            $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>

                                            <div class="content-list">
                                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class( 'news-article news-article-bg' ); ?>>
                                                    <div class="column-row">

                                                        <?php if( $featured_image ){ ?>
                                                            <div class="column column-4">
                                                                <div class="post-thumbnail">
                                                                    <div class="img-hover-scale">
                                                                        <?php
                                                                        $format = get_post_format( get_the_ID() ) ? : 'standard';
                                                                        $icon = newsfort_post_format_icon( $format );
                                                                        if( !empty( $icon ) ){ ?>
                                                                            <span class="top-right-icon">
                                                                                <?php echo newsfort_svg_escape( $icon ); ?>
                                                                            </span>
                                                                        <?php } ?>
                                                                        <a href="<?php the_permalink(); ?>" tabindex="0">
                                                                            <img title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" src="<?php echo esc_url( $featured_image ); ?>">
                                                                        </a>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        
                                                        <?php } ?>

                                                        <div class="column column-<?php if(  $featured_image ){ ?>8<?php }else{ ?>12<?php } ?>">
                                                            <div class="post-content">

                                                                <div class="entry-meta">
                                                                    <?php newsfort_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                                </div>

                                                                <h3 class="entry-title entry-title-small">
                                                                    <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>">
                                                                        <?php the_title(); ?>
                                                                    </a>
                                                                </h3>

                                                                <div class="entry-meta">
                                                                    <?php newsfort_posted_on(); ?>
                                                                    <?php newsfort_post_view_count(); ?>
                                                                    <?php newsfort_posted_by(); ?>
                                                                </div>

                                                            </div>
                                                        </div>

                                                        <div class="column column-12">
                                                            <div class="entry-content entry-content-muted entry-content-small">
                                                                <?php
                                                                if (has_excerpt()) {
                                                                    the_excerpt();
                                                                } else {
                                                                    echo '<p>';
                                                                    echo esc_html( wp_trim_words( get_the_content(),35,'...' ) );
                                                                    echo '</p>';
                                                                } ?>
                                                            </div>
                                                        </div>

                                                    </div>
                                                </article>
                                            </div>

                                        <?php } ?>

                                    </div>
                                </div>

                            <?php }
                            wp_reset_postdata(); ?>

                        </div>

                    <?php endif;

                    if( $banner_query_3->have_posts() ): ?>

                        <div class="column column-3 column-sm-6 column-xxs-12 column-order-3">

                            <?php if( $cat_title_3 ){ ?>

                                <div class="column-row">
                                    <div class="column column-12">
                                        
                                        <header class="block-title-wrapper">
                                            <h2 class="block-title">
                                                <?php echo esc_html( $cat_title_3 ); ?>
                                            </h2>
                                        </header>
                                        
                                    </div>
                                </div>

                            <?php } ?>

                            <div class="content-main">

                                <?php while( $banner_query_3->have_posts() ):
                                    $banner_query_3->the_post(); ?>

                                    <div class="content-list content-list-border">
                                        <article id="theme-post-<?php the_ID(); ?>" <?php post_class( 'news-article' ); ?>>

                                            <div class="entry-meta">
                                                <?php newsfort_entry_footer( $cats = true, $tags = false, $edits = false, $text = false, $icon = false ); ?>
                                            </div>

                                            <h3 class="entry-title entry-title-xsmall">
                                                <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                            </h3>

                                            <div class="entry-meta">
                                                <?php newsfort_posted_on(); ?>
                                                <?php newsfort_post_view_count(); ?>
                                            </div>

                                        </article>
                                    </div>

                                <?php endwhile; ?>

                            </div>
                        </div>

                    <?php wp_reset_postdata();
                    endif; ?>

                </div>
            </div>
        </div>
    <?php
    }
endif;