<?php
/**
 * Banner Blocks Four
 *
 * @package NewsFort
 */
if( !function_exists('newsfort_banner_block_4_section') ):

    function newsfort_banner_block_4_section($newsfort_home_section, $repeat_times){

        $enable_wide_layout = esc_html(isset($newsfort_home_section->enable_wide_layout) ? $newsfort_home_section->enable_wide_layout : '');

        $class = 'wrapper';

        if ($enable_wide_layout == 'yes') {
            $class = 'wrapper-fluid';
        } ?>

        <div id="block-<?php echo esc_attr($repeat_times); ?>"
             class="theme-block theme-block-elements theme-block-elements-4">
            <div class="<?php echo $class; ?>">
                <div class="column-row">
                    <?php
                    for( $x = 1; $x <= 3; $x++ ){
                        
                        if( $x == 3 ){
                            
                            $section_category = esc_html(isset($newsfort_home_section->section_category_3) ? $newsfort_home_section->section_category_3 : '');
                            $cat_title = esc_html( isset($newsfort_home_section->cat_title_3) ? $newsfort_home_section->cat_title_3 : '');
                            
                            if( empty( $cat_title ) && $section_category ){

                                $catObj = get_category_by_slug( $section_category );
                                if( isset($catObj->name) && $catObj->name ){
                                    $cat_title = $catObj->name;
                                }

                            }

                        }elseif( $x == 2 ){

                            $section_category = esc_html(isset($newsfort_home_section->section_category_2) ? $newsfort_home_section->section_category_2 : '');
                            $cat_title = esc_html( isset($newsfort_home_section->cat_title_2) ? $newsfort_home_section->cat_title_2 : '');
                            
                            if( empty( $cat_title ) && $section_category ){

                                $catObj = get_category_by_slug( $section_category );
                                if( isset($catObj->name) && $catObj->name ){
                                    $cat_title = $catObj->name;
                                }
                            }

                        }else{
                            
                            $section_category = esc_html(isset($newsfort_home_section->section_category_1) ? $newsfort_home_section->section_category_1 : '');
                            $cat_title = esc_html( isset($newsfort_home_section->cat_title_1) ? $newsfort_home_section->cat_title_1 : '');

                            if( empty( $cat_title ) && $section_category ){

                                $catObj = get_category_by_slug( $section_category );
                                if( isset($catObj->name) && $catObj->name ){
                                    $cat_title = $catObj->name;
                                }

                            }
                        }

                        $banner_query = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 4, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_category) ) );

                        if ($banner_query->have_posts()): ?>

                            <div class="column column-4 column-sm-6 column-xs-12">

                                <?php if( $cat_title ){ ?>

                                    <header class="block-title-wrapper">
                                        <h2 class="block-title">
                                            <?php echo esc_html( $cat_title ); ?>
                                        </h2>
                                    </header>

                                <?php } ?>

                                <div class="content-main">
                                    <?php
                                    $count = 1;
                                    while ($banner_query->have_posts()):
                                        $banner_query->the_post();
                                        if ($count == 1) {
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                        } else {
                                            $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'thumbnail');
                                        }
                                        $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : '';
                                        ?>
                                        <div class="content-list mb-15 <?php if ($count == 1) { echo 'content-list-primary'; } ?>">
                                            <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-bg'); ?>>
                                                <div class="column-row column-row-small">
                                                    
                                                    <div class="column column-<?php if ($count == 1) { ?>12<?php } else { ?>4<?php } ?>">
                                                        <div class="post-thumbnail">
                                                            <div class="img-hover-scale <?php if ($count == 1) { ?>mb-15<?php } else { ?>mb-0<?php } ?>">
                                                                <?php
                                                                $format = get_post_format(get_the_ID()) ?: 'standard';
                                                                $icon = newsfort_post_format_icon($format);
                                                                if (!empty($icon)) { ?>
                                                                    <span class="top-right-icon"><?php echo newsfort_svg_escape($icon); ?></span>
                                                                <?php } ?>
                                                                <a href="<?php the_permalink(); ?>" tabindex="0">
                                                                    <img title="<?php the_title_attribute(); ?>" alt="<?php the_title_attribute(); ?>" src="<?php echo esc_url($featured_image); ?>">
                                                                </a>
                                                                <?php if ($count == 1) { ?>
                                                                    <div class="article-content article-content-overlay">
                                                                        <div class="entry-meta">
                                                                            <?php newsfort_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                                        </div>
                                                                    </div>
                                                                <?php } ?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    
                                                    <div class="column column-<?php if ($count == 1) { ?>12<?php } else { if ($featured_image) { ?>8<?php } else { ?>12<?php } } ?>">
                                                        <div class="<?php if ($count == 1) { ?>article-content<?php } else { ?>article-content article-content-1<?php } ?>">
                                                            <h3 class="entry-title entry-title-xsmall">
                                                                <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                            </h3>
                                                            <div class="entry-meta">
                                                                <?php newsfort_posted_on(); ?>
                                                                <?php newsfort_post_view_count(); ?>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </article>
                                        </div>
                                        <?php
                                        $count++;
                                    endwhile;
                                    wp_reset_postdata(); ?>
                                </div>
                            </div>
                        <?php
                        endif;
                    } ?>
                </div>
            </div>
        </div>
    
    <?php
    }

endif;