<?php
/**
 * Latest Posts
 *
 * @package NewsFort
 */
if( !function_exists('newsfort_latest_blocks') ):
    
    function newsfort_latest_blocks($newsfort_home_section, $repeat_times){

        global $post;
        $newsfort_default = newsfort_get_default_theme_options();
        $sidebar = esc_attr( get_theme_mod( 'global_sidebar_layout', $newsfort_default['global_sidebar_layout'] ) );
        

        if( is_single() || is_page() ){

            $newsfort_post_sidebar = esc_attr( get_post_meta( $post->ID, 'newsfort_post_sidebar_option', true ) );
            if( $newsfort_post_sidebar == 'global-sidebar' || empty( $newsfort_post_sidebar ) ){

                $sidebar = $sidebar;
            }else{
                $sidebar = $newsfort_post_sidebar;
            }

        }

        $newsfort_archive_layout = esc_attr( get_theme_mod( 'newsfort_archive_layout', $newsfort_default['newsfort_archive_layout'] ) ); ?>

        <div id="block-<?php echo esc_attr( $repeat_times ); ?>" class="theme-block theme-block-archive">
            <div class="wrapper">
                <div class="column-row">

                    <div id="primary" class="content-area">
                        <main id="main" class="site-main" role="main">
                            
                            <?php
                            if( !is_front_page() ) {
                                newsfort_breadcrumb();
                            }

                            if( have_posts() ): ?>

                                <div class="article-wraper archive-layout <?php echo 'archive-layout-' . esc_attr( $newsfort_archive_layout ); ?>">
                                    <?php while (have_posts()) :
                                        the_post();

                                        if( !is_page() ){

                                            if( get_post_format() == 'video' ){

                                                $video_autoplay = esc_attr( get_post_meta(get_the_ID(), 'twp_video_autoplay', true) );
                                                if( $video_autoplay == '' || $video_autoplay == 'global' ){

                                                    $video_autoplay = isset($newsfort_home_section->section_video_autoplay) ? $newsfort_home_section->section_video_autoplay : '';
                                                    if( $video_autoplay == '' || $video_autoplay == 'global' ){
                                                        $video_autoplay = get_theme_mod( 'ed_autoplay', $newsfort_default['ed_autoplay'] );
                                                    }

                                                }

                                                $ratio_value = get_post_meta( get_the_ID(), 'twp_aspect_ratio', true );
                                                if( $ratio_value == '' || $ratio_value == 'global' ){
                                                    
                                                    $ratio_value = isset( $newsfort_home_section->section_video_ratio ) ? $newsfort_home_section->section_video_ratio : '';

                                                    if( $ratio_value == '' || $ratio_value == 'global' ){
                                                        $ratio_value = get_theme_mod( 'post_video_aspect_ration', $newsfort_default['post_video_aspect_ration'] );
                                                    }

                                                }

                                                newsfort_video_content_render( $class1 = 'post', $class2 = 'video-id', $class3 = 'video-main-wraper', $ratio_value, $video_autoplay );
                                                
                                            }else{

                                                get_template_part( 'template-parts/content', get_post_format() );

                                            }
                                            
                                        }else{
                                            get_template_part('template-parts/content', 'single');
                                        }


                                    endwhile; ?>
                                </div>

                                <?php if( !is_page() ): do_action('newsfort_archive_pagination'); endif;

                            else :

                                get_template_part('template-parts/content', 'none');

                            endif; ?>
                        </main><!-- #main -->
                    </div>

                    <?php if( $sidebar != 'no-sidebar' ){

                        get_sidebar();
                        
                    } ?>

                </div>
            </div>
        </div>

    <?php
    }
    
endif;
