<?php
/**
 * Advertise
 *
 * @package NewsFort
 */

if (!function_exists('newsfort_main_banner')):

    function newsfort_main_banner($newsfort_home_section, $repeat_times)
    {

        $section_slide_category = esc_html(isset($newsfort_home_section->section_slide_category) ? $newsfort_home_section->section_slide_category : '');
        $section_mid_category = esc_html(isset($newsfort_home_section->section_mid_category) ? $newsfort_home_section->section_mid_category : '');
        $section_vertical_slide_category = esc_html(isset($newsfort_home_section->section_vertical_slide_category) ? $newsfort_home_section->section_vertical_slide_category : '');
        $slider_arrows = esc_html(isset($newsfort_home_section->ed_arrows_carousel) ? $newsfort_home_section->ed_arrows_carousel : '');
        $slider_dots = esc_html(isset($newsfort_home_section->ed_dots_carousel) ? $newsfort_home_section->ed_dots_carousel : '');
        $slider_autoplay = esc_html(isset($newsfort_home_section->ed_autoplay_carousel) ? $newsfort_home_section->ed_autoplay_carousel : '');
        $enable_wide_layout = esc_html(isset($newsfort_home_section->enable_wide_layout) ? $newsfort_home_section->enable_wide_layout : '');

        $class = 'wrapper';

        if ($enable_wide_layout == 'yes') {
            $class = 'wrapper-fluid';
        }

        if ($slider_arrows == 'yes' || $slider_arrows == '') {
            $arrow = 'true';
        } else {
            $arrow = 'false';
        }
        if ($slider_autoplay == 'yes' || $slider_autoplay == '') {
            $autoplay = 'true';
        } else {
            $autoplay = 'false';
        }
        if ($slider_dots == 'yes') {
            $dots = 'true';
        } else {
            $dots = 'false';
        }
        if (is_rtl()) {
            $rtl = 'true';
        } else {
            $rtl = 'false';
        }

        $banner_query_1 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 10, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_slide_category)));
        $banner_query_2 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 2, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_mid_category)));
        $banner_query_3 = new WP_Query(array('post_type' => 'post', 'posts_per_page' => 5, 'post__not_in' => get_option("sticky_posts"), 'category_name' => esc_html($section_vertical_slide_category))); ?>


        <div id="block-<?php echo esc_attr($repeat_times); ?>" class="theme-block theme-main-banner">
            <div class="<?php echo $class; ?>">
                <div class="column-row">

                    <?php
                    if ($banner_query_1->have_posts()): ?>

                        <div class="column column-5-lg column-sm-12 mb-sm-15 column-order-1">

                            <div class="theme-slider-wrapper">

                                <div class="theme-main-slider-block"
                                     data-slick='{"arrows": <?php echo esc_attr($arrow); ?>,"autoplay": <?php echo esc_attr($autoplay); ?>, "dots": <?php echo esc_attr($dots); ?>, "rtl": <?php echo esc_attr($rtl); ?>}'>

                                    <?php
                                    while ($banner_query_1->have_posts()) {
                                        $banner_query_1->the_post();

                                        $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium_large');
                                        $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>

                                        <div class="theme-slider-item">
                                            <article
                                                    id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-bg post-thumb'); ?>>

                                                <div class="data-bg data-bg-large thumb-overlay thumb-overlay-darker img-hover-slide"
                                                     data-background="<?php echo esc_url($featured_image); ?>">

                                                    <a class="img-link" href="<?php the_permalink(); ?>"
                                                       tabindex="0"></a>

                                                    <div class="article-content article-content-overlay">
                                                        <div class="entry-meta">
                                                            <?php newsfort_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                                        </div>
                                                        <h2 class="entry-title entry-title-big">
                                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                        </h2>
                                                        <div class="entry-meta">
                                                            <?php newsfort_posted_on(); ?>
                                                            <?php newsfort_post_view_count(); ?>
                                                            <?php newsfort_posted_by(); ?>
                                                        </div>
                                                        <div class="entry-content hidden-xs-element text-white entry-content-small">
                                                            <?php
                                                            if (has_excerpt()) {
                                                                the_excerpt();
                                                            } else {
                                                                echo '<p>';
                                                                echo esc_html( wp_trim_words( get_the_content(),25,'...' ) );
                                                                echo '</p>';
                                                            } ?>
                                                        </div>
                                                    </div>
                                                </div>

                                            </article>
                                        </div>

                                    <?php } ?>

                                </div>

                            </div>

                        </div>

                        <?php
                        wp_reset_postdata();

                    endif; ?>

                    <?php
                    if ($banner_query_2->have_posts()): ?>

                        <div class="column column-3-lg column-sm-6 column-xs-12 mb-sm-15 column-order-2">
                            <?php
                            while ($banner_query_2->have_posts()) {
                                $banner_query_2->the_post();
                                $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'newsfort-500-300');
                                $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>
                                <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article post-thumb post-thumb-tiles'); ?>>
                                    <div class="data-bg data-bg-medium thumb-overlay img-hover-slide" data-background="<?php echo esc_url($featured_image); ?>">

                                        <?php
                                        $format = get_post_format(get_the_ID()) ?: 'standard';
                                        $icon = newsfort_post_format_icon($format);
                                        if (!empty($icon)) { ?>
                                            <span class="top-right-icon">
                                                <?php echo newsfort_svg_escape($icon); ?>
                                            </span>
                                        <?php } ?>
                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>
                                        <div class="article-content article-content-overlay">
                                            <div class="entry-meta">
                                                <?php newsfort_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                                            </div>
                                            <h3 class="entry-title entry-title-medium">
                                                <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark"
                                                   title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                            </h3>
                                            <div class="entry-meta">
                                                <?php newsfort_posted_on(); ?>
                                                <?php newsfort_post_view_count(); ?>
                                            </div>
                                        </div>
                                    </div>
                                </article>
                            <?php } ?>
                        </div>

                        <?php
                        wp_reset_postdata();

                    endif; ?>

                    <?php
                    if ($banner_query_3->have_posts()): ?>

                        <div class="column column-3 column-sm-6 column-xs-12 mb-sm-15 column-order-3">

                            <div class="main-banner-vertical">

                                <?php
                                $post_count = 1;
                                while ($banner_query_3->have_posts()) {
                                    $banner_query_3->the_post();

                                    $featured_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'thumbnail');
                                    $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>

                                    <div class="vertical-slide-list">
                                        <article id="theme-post-<?php the_ID(); ?>" <?php post_class('news-article news-article-bg'); ?>>
                                            <div class="column-row column-row-small">

                                                <div class="column column-4">

                                                    <div class="data-bg data-bg-small" data-background="<?php echo esc_url($featured_image); ?>">

                                                        <?php
                                                        $format = get_post_format(get_the_ID()) ?: 'standard';
                                                        $icon = newsfort_post_format_icon($format);
                                                        if (!empty($icon)) { ?>
                                                            <span class="top-right-icon"><?php echo newsfort_svg_escape($icon); ?></span>
                                                        <?php } ?>
                                                        <a class="img-link" href="<?php the_permalink(); ?>" tabindex="0"></a>

                                                        <div class="trend-item">
                                                            <span class="number"> <?php echo $post_count; ?></span>
                                                        </div>
                                            
                                                    </div>


                                                </div>

                                                <div class="column column-<?php if ($featured_image) { ?>8<?php } else { ?>12<?php } ?>">
                                                    <div class="article-content article-content-1">

                                                        <h3 class="entry-title entry-title-small">
                                                            <a href="<?php the_permalink(); ?>" tabindex="0" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a>
                                                        </h3>

                                                        <div class="entry-meta">
                                                            <?php newsfort_posted_on(); ?>
                                                            <?php newsfort_post_view_count(); ?>
                                                        </div>

                                                    </div>
                                                </div>

                                            </div>
                                        </article>
                                    </div>

                                    <?php
                                    $post_count++;

                                } ?>

                            </div>

                        </div>

                        <?php
                        wp_reset_postdata();

                    endif; ?>

                </div>
            </div>
        </div>

    <?php }

endif; ?>