<?php
/**
 * Header Layout 2
 *
 * @package NewsFort
 */
$newsfort_default = newsfort_get_default_theme_options();
$newsfort_header_bg_size = get_theme_mod( 'newsfort_header_bg_size', $newsfort_default['newsfort_header_bg_size'] );
$ed_header_bg_fixed = get_theme_mod( 'ed_header_bg_fixed', $newsfort_default['ed_header_bg_fixed'] );
$ed_header_bg_overlay = get_theme_mod( 'ed_header_bg_overlay', $newsfort_default['ed_header_bg_overlay'] ); ?>

<header id="site-header" class="site-header-layout header-layout-2 <?php if( $ed_header_bg_overlay ){ echo 'header-overlay-enabled'; } ?>" role="banner">
    
    <div class="header-navbar <?php if( get_header_image() ){ if( $ed_header_bg_fixed ){ echo 'data-bg-fixed'; } ?> data-bg header-bg-<?php echo esc_attr( $newsfort_header_bg_size ); ?> <?php } ?> "  <?php if( get_header_image() ){ ?> data-background="<?php echo esc_url(get_header_image()); ?>" <?php } ?>>
        <div class="wrapper header-wrapper">
            <div class="navbar-item navbar-item-left">
                <div class="header-titles">
                    <?php
                    newsfort_site_logo();
                    newsfort_site_description();
                    ?>
                </div>
            </div>

            <?php

            $ed_header_responsive_menu = get_theme_mod('ed_header_responsive_menu', $newsfort_default['ed_header_responsive_menu']); ?>

            <div class="navbar-item navbar-item-right">
                <div class="header-navigation-wrapper <?php if ($ed_header_responsive_menu) { echo 'show-hamburger-menu'; } ?> navbar-item-mid">
                    <div class="site-navigation">
                        <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'newsfort'); ?>" role="navigation">
                            <ul class="primary-menu theme-menu">
                                <?php
                                if( has_nav_menu('newsfort-primary-menu') ){

                                    wp_nav_menu(
                                        array(
                                            'container' => '',
                                            'items_wrap' => '%3$s',
                                            'theme_location' => 'newsfort-primary-menu',
                                            'walker' => new newsfort\NewsFort_Walkernav(),
                                        )
                                    );

                                }else{

                                    wp_list_pages(
                                        array(
                                            'match_menu_classes' => true,
                                            'show_sub_menu_icons' => true,
                                            'title_li' => false,
                                            'walker' => new NewsFort_Walker_Page(),
                                        )
                                    );

                                } ?>
                            </ul>
                        </nav>
                    </div>
                </div>

                <?php newsfort_search_offcanvas_icon_render(); ?>

            </div>
        </div>
        <?php newsfort_content_trending_news_render(); ?>
    </div>

    <div class="header-extras header-extras-bottom">
        <?php
        newsfort_header_ticker_posts();
        newsfort_top_tages();
        ?>
    </div>

</header>
